<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\PersonBundle\Repository;

use Chill\PersonBundle\Entity\MaritalStatus;
use Doctrine\Persistence\ObjectRepository;

interface MaritalStatusRepositoryInterface extends ObjectRepository
{
    public function find($id): ?MaritalStatus;

    public function findAll(): array;

    public function findBy(array $criteria, ?array $orderBy = null, $limit = null, $offset = null): array;

    public function findOneBy(array $criteria): ?MaritalStatus;

    public function getClassName(): string;
}
